Add configurable payment schedule

This request allows you to add a Schedule Roll to a loan.

   Click here to learn more about this request

Configurable payment schedules allows lenders to change payment schedules in separate payment periods. For example, a lender may want to offer 5% interest on the first three periods of a loan, but then 15% for the remainder of the loan. Note the following when making this request:

The loan will likely not be at the exact principal balance entered, but it will be close. This is due, in part, to the necessity of dealing with dollars and cents (2 decimal places) for final calculated numbers.

For an example of how configurable payment schedules work within the UI, take a look at our Create a Configurable Payment Schedule article.

Database

For information on configurable payment schedule database tables, see the following articles:

Database – Loan Schedule Roll Entity (loan_schedule_roll_entity)

Database – Schedule Roll Template (schedule_roll_template_entity)

{
    "ScheduleRolls": {
        "results": [
            {
                "term": 3,
                "rate": "5",
                "solveUsing": "loan.rollScheduleSolve.dollar",
                "amount": "150.00",
                "percent": 0,
                "advancedTerms": 0,
                "solveFor": "loan.rollScheduleSolveFor.payment",
                "balance": 0,
                "forceBalloon": 0
            }
        ]
    }
}
Path Params
int32
required

This is the ID of the loan.

Body Params
ScheduleRolls
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json